EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_SetLastSyncDate',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets the last sync date for a feed.'
GO

IF OBJECT_ID('[Feeds_SetLastSyncDate]') IS NOT NULL DROP PROCEDURE [Feeds_SetLastSyncDate]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_SetLastSyncDate]
(
	@Feed_Id INT,
	@LastSync_Date DATETIME
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Feeds]
	   SET [LastSync_Date] = @LastSync_Date
	 WHERE [Feed_Id] = @Feed_Id

	IF @LastSync_Date IS NULL
		DELETE
		  FROM [DeletedPackages]
		 WHERE [Feed_Id] = @Feed_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Feeds_SetLastSyncDate] TO [ProGetUser_Role]
GO