EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'HelmCharts_GetCharts',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'HelmCharts',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of charts from a Helm feed.'
GO

IF OBJECT_ID('[HelmCharts_GetCharts]') IS NOT NULL DROP PROCEDURE [HelmCharts_GetCharts]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [HelmCharts_GetCharts]
(
	@Feed_Id INT,
	@Chart_Name VARCHAR(200) = NULL,
	@Version_Text VARCHAR(200) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [HelmCharts]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Chart_Name IS NULL OR [Chart_Name] = @Chart_Name)
	   AND (@Version_Text IS NULL OR [Version_Text] = @Version_Text)

END
GO

GRANT EXECUTE ON [HelmCharts_GetCharts] TO [ProGetUser_Role]
GO
