EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'VulnerabilitySources_DeleteVulnerabilitySource',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a vulnerability source.'
GO

IF OBJECT_ID('[VulnerabilitySources_DeleteVulnerabilitySource]') IS NOT NULL DROP PROCEDURE [VulnerabilitySources_DeleteVulnerabilitySource]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [VulnerabilitySources_DeleteVulnerabilitySource]
(
	@VulnerabilitySource_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [VulnerabilitySources]
     WHERE [VulnerabilitySource_Id] = @VulnerabilitySource_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [VulnerabilitySources_DeleteVulnerabilitySource] TO [ProGetUser_Role]
GO